Новый ZWCAD 2017
dwg.ru forum rss xml
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму |

Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > Экспорт координат выбранных точек в *.txt

Экспорт координат выбранных точек в *.txt

Версия для печати
 
Ответ
Опции темы Поиск в этой теме
Непрочитано 14.05.2008, 16:06 #1
Экспорт координат выбранных точек в *.txt
slan.ru
 
Регистрация: 13.05.2008
Сообщений: 6

slan.ru вне форума Вставить имя

Добрый день, уважаемые знатоки!

Сразу прошу, не пинайте ногами и не отправляйте в поиск. Все темы, в заголовках которых есть слово "координаты" и "координат" прочитал. Нашел много полезного для себя и практически то, что искал. Но многое остается в полутьме для моего мозга. Сама суть моего поста.

Я работаю в дорожном строительстве. С недавнего времени моя организация приобрела электронный тахеометр. На данный момент ось дороги выносим в натуру с помощью него. Координаты X и Y узловых точек по оси беру из CREDO_MIX, а координату Z подставляю по мере необходимости и вида выноса. Для фрезеровки, нижнего слоя, верхнего, и.т.п.

Возникла необходимость выноса в натуру кромок проезжей части. Но они не всегда соответствуют виду оси. В городских условиях могут быть примыкания, карманы для автобусных остановок и.т.п. Требуется (для начала) получить координаты узловых точек. Хочу начать с того, что бы получить координаты ВЫБРАННЫХ ТОЧЕК в текстовый файл. Последовательность:

1. Проставляем токи в требуемых узлах.
2. Выбираем необходимые точки.
3. Запускаем макрос.
4. Макрос создает в каталоге текстовый файл c названием как у чертежа.
5. Туда записываются координаты примитивов (вроде бы так тут это называют) в формате:
Pt X Y Z <Space>, где
Pt - для начала просто нумерация точек по мере добавления в файл,
X Y Z - координаты,
<Space> - разделитель.

От Вас прошу помощи. В программировании мало понимаю, но для меня пока что ясно, что скрипты можно создать как макрос - VBA, и LISP - на собственном языке. Хотелось бы увидеть такой скрипт, я думаю он не будет громоздким, на удобном Вам языке, но с описанием. Начну разбираться - с чего-нибудь надо начинать. Для начала поставленная задача будет минимальной, в дальнейшем хочу усложнить задачу собственными силами, если потяну.

Сразу оговорюсь, возможности купить ToolPak, Express и уж тем более Civil у меня нет, , да и не требуется пока мне выполнение задач отличных от этой. Поэтому надеюсь на Вашу помощь в написании такого скрипта. А уж за описание процедуры - буду безгранично благодарен.

P.S> Если требуются еще исходные данные - готов в найкротчайшие сроки предоставить их.
Просмотров: 102407
 
Непрочитано 14.05.2008, 17:49
#2
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,499
Отправить сообщение для VVA с помощью ICQ Отправить сообщение для VVA с помощью Skype™


Ну тебе прямой наводкой сюда:
"Снять" координаты с поворотных точек
Там есть COOR - координаты в txt, csv, exel
и COORN - тоже с нумерацией
Все это и еще больше лежит в #7
PS (шепотом) Express покупать не нужно, он входит в стандартную поставку
__________________
Как использовать код на Лиспе читаем здесь

Последний раз редактировалось VVA, 10.06.2010 в 09:55. Причина: Навел порядок
VVA вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Автор темы   Непрочитано 14.05.2008, 18:05
#3
slan.ru


 
Регистрация: 13.05.2008
Сообщений: 6


Уважаемый, VVA, там я был.. Как говориться по усам текло - в рот не попало. Тяжко для начала. Два очень навороченныхъ LISP'а. Хочу разобраться с работой такого LISP с самых низов.

Вот, что я нашел во всемирной паутине:
Код:
[Выделить все]
;;; CDF - строки ограниченные запятыми
  (defun cdf-point (pt)
    (strcat (car pt) ", " (cadr pt) ", " (caddr pt)))
  ;;; SDF - ограниченные прбелами,
  ;;; легко обратно считывается AutoCAD
  (defun sdf-point (pt)
    (strcat (car pt) " " (cadr pt) " " (caddr pt)))
  ;;; Преобразует SDF фомат обратно в точку
  (defun str->point (s)
    (eval (read (strcat "(" s ")"))))

  ;;; Записывает в XYZ файл все выбранные
  ;;; объекты (SDF см. ниже)
  (defun C:XYZ (/ ss fname f)
    (if (and (setq ss (ssget))
          (setq fname (getfiled "Запись XYZ в файл"
                  (strcat (getvar "DWGNAME") ".XYZ") "XYZ" 7))
          (setq f (open fname "w")))
      (foreach ele (sslist ss)          ; -> [20.4]
        (foreach pt (getpts ele)        ; -> [23.1]
          (write-line (cdf-point pt) f)
        )
      )
    )
    (if f (close f))
  )
  ;;; => <fname>.xyz
  ;;; 0.45, 12.3, -34.0


Для преобразования в ASC файл (SDF-формат) нужно заменить все XYZ на ASC, и cdf-точку(cdf-point) на sdf-точку(sdf-point). 
Другой способ: создавай PLINES используя ascii x,y файл, лучше всего преобразовать файл в некий скрипт похожий на: 

PLINE
300.2,10
350.4,10.4
Моглы бы Вы мне его по-подробнее расскоментировать?

P.S> На всякий случай: если нет времени, сил и желания отвечать каждому новичку, по-сути спрашивающих одно и то же - я все понимаю.
slan.ru вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 14.05.2008, 19:16
#4
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,499
Отправить сообщение для VVA с помощью ICQ Отправить сообщение для VVA с помощью Skype™


Подробности в коментариях
Код:
[Выделить все]
  ;;; Записывает в XYZ файл координаты вабранных точек в порядке выбора
  ;;; Формат файла
  ;;; Порядковый номер Координата_X Координата_Y Координата_Z
  (defun C:XYZ (/ ss fname f i en pt str)
    (if (and
          (setq ss (ssget '((0 . "POINT")))) ;_Выбираем объект Автокада ТОчка
          (setq fname (getfiled "Запись XYZ в файл"
                  (strcat (getvar "DWGNAME") ".XYZ") "XYZ" 7)) ;_Запрашиваем файл
          (setq f (open fname "w"))                           ;_Открываем для записи
          );_ and
      (progn
        (setq i 0)
        (while (< i (sslength ss))
          (setq en (ssname ss i)) ;_Берем из набора i-й злемент
          (setq pt (cdr(assoc 10 (entget en)))) ;_ТОчка вставки объекта Автокада "Точка" (point)
          (setq str             ;_Формbруем строку из номера, координат X Y и Z? разделенных пробелом
          (strcat (itoa (1+ i)) ;_Порядковый номер, начиная с 1, переводим в строку
                  " "           ;_Пробел - разделитель
                  (rtos
                  (car pt)      ;_Координата X
                  2 12)
                  " "           ;_Пробел - разделитель
                  (rtos
                  (cadr pt)      ;_Координата Y
                  2 12)
                  " "           ;_Пробел - разделитель
                  (rtos
                  (caddr pt)      ;_Координата Z
                  2 12)
                  )
                )
          (write-line str f) ;_Пишем строку str в файл f
          (setq i (1+ i))    ;_Наращиваем счетчик
          )
    (if f (close f)) ;_Закрывем файл
        )
      )
  )
__________________
Как использовать код на Лиспе читаем здесь
VVA вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Автор темы   Непрочитано 14.05.2008, 19:43
#5
slan.ru


 
Регистрация: 13.05.2008
Сообщений: 6


Спасибо большое, уважаемый VVA! Дали пищу для ума. Хватит на пару дней поразбираться.

По сути, когда писал первое сообщение - надеялся в конце концов создать лисп, похожий на Ваш COORN, только с несколько обратной задачей по нумерации точек. Т.е. брать их названия с чертежа, в идеале, если они есть. Я видел тут нечто подобное. Посмотрите, пожалуйста файл в аттаче и по-возможности подскажите - реально ли задуманное мною?

P.S> За файл COORN, IMHO, Вас пользователи на руках должны носить, в ряды которых я готов вступить при первой же возможности!
Вложения
Тип файла: dwg
DWG 2004
KOORD.dwg (118.5 Кб, 29088 просмотров)
slan.ru вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 14.05.2008, 22:45
#6
Sync02


 
Регистрация: 07.12.2007
Брест
Сообщений: 243


Попробуй на VBA (как для меня то попроще чем лисп)
Вот для твоего файла примерчик
Вложения
Тип файла: dvb pt2txt.dvb (48.0 Кб, 1595 просмотров)

Последний раз редактировалось Sync02, 15.05.2008 в 09:15. Причина: Заменил файл (что-то с вечера намудрил)
Sync02 вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 16.05.2008, 13:34
6 | #7
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,499
Отправить сообщение для VVA с помощью ICQ Отправить сообщение для VVA с помощью Skype™


slan.ru Пробуй COORT для твоего примера
Описание
Экспорт координат указанных точек, выбранных объектов: точек, блоков, полилиний, сплайнов в текстовый файл, ексел с простановкой номеров
Текстовый файл — либо txt, либо csv.
Округление координат в соответствии с текущими настройками команды _UNITS (переменная LUPREC !!!)
!!!!!!!!!!!!!
Набрать в командной строке LUPREC и установить нужную точность округления.
!!!!!!!!!!

Определены 3 команды
COOR - экспорт координат
COORN -экспорт координат с нумерацией
COORT -экспорт координат с нумерацией, где номером считается ближайший к точке текст

*** Добавлено 26 августа
Из темы Lisp: coordinates of points to excel sheet (+point number)
Модифицированны и оптимизированы команды COOR, COORN, COORT, добавлена команда COORNP
COORNP - COORNP + Point - отрисовка точек в узлах полилинии. Файл Ecoor.zip
*** Добавлено 15 мая 2010
В архиве Ecoor.zip изменен принцип получения координат LW полилинии. Теперь координаты полилинии получаются как X,Y,Elevation (уровень)
================== 2012.03.28 ===========================
EcoorE тоже что Ecoor, но убраны русские сообщения в связи с проблемами при загрузке у китайских товарищей
На cadtutor'e эта тема получила дальнейшее развитие и в результате имеем
COOR - экспорт координат
COORN -экспорт координат с нумерацией
COORT -экспорт координат с нумерацией, где номером считается ближайший к точке текст
CoorNP-Координаты+Нумерация+Точки. Точки рисуются текущими режимами PDMODE and PDSIZE
COORNB - Координаты+Блок (в блок входят точка и атрибут с номером)
Так же добавлены настройки:
Суффикс, префикс, шаг инкремента, смещения, высоты текста, и символа-разделителя.
Если задать символ-разделитель, то можно получить список координат и отделить одну полилинию от другой. Что-то вида
Цитата:
-6473.5946,-556.051,0
-6472.4554,-554.5869,0
-6470.0142,-555.1834,0
X
-6477.8259,-552.3095,0
-6475.439,-550.52,0
-6472.7266,-552.1468,0
X
В rev. 9 (текущая 10b) добавлены настройки для округления при экспорте и возможность экспортировать координаты в виде XYZ и YXZ. Читать


!!!Другие решения для экспорта: Ссылки здесь
Миниатюры
Нажмите на изображение для увеличения
Название: setting.png
Просмотров: 9296
Размер:	15.4 Кб
ID:	173479  
Вложения
Тип файла: rar coord.rar (12.1 Кб, 8024 просмотров)
Тип файла: zip ECoor.zip (6.7 Кб, 3676 просмотров)
Тип файла: zip ECoorE rev10b.zip (11.8 Кб, 1121 просмотров)
__________________
Как использовать код на Лиспе читаем здесь

Последний раз редактировалось VVA, 16.07.2016 в 20:07. Причина: Fix small bug
VVA вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Автор темы   Непрочитано 21.05.2008, 10:28
#8
slan.ru


 
Регистрация: 13.05.2008
Сообщений: 6


Большое человеческое СПАСИБО! Обязательно протестииую и возьму на вооружение. О результатах теста отпишусь.
slan.ru вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Автор темы   Непрочитано 02.06.2008, 11:19
#9
slan.ru


 
Регистрация: 13.05.2008
Сообщений: 6


VVA, протестировал. Все работает на отлично. Это именно то что и нужно было. Еще раз спасибо.
slan.ru вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 05.10.2008, 07:32
#10
reyt-z


 
Регистрация: 17.09.2007
Сообщений: 102


VVA, пытаюсь немного модернизировать ваш лисп, дабы приспособить его для снятия координат точек и передачи их в ANSYS в виде *.mac файлов. Конечный формат файла с координатами сменить удалось. Но никак не пойму, что нужно исправить и дописать, чтобы в этом файле перед номерами точек стояло два символа: k,
reyt-z вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 05.10.2008, 12:33
#11
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,499
Отправить сообщение для VVA с помощью ICQ Отправить сообщение для VVA с помощью Skype™


Я так понимаю, что модифицируешь COORN
Тогда что-то типа такого (выделено красным)
Код:
[Выделить все]
(defun c:COORN1 (/ cFile curPt filPath objSet oFlag oldMode ptLst sFlag lw isRus Npt)
(defun group-by-num (lst num / ls ret)(if (= (rem (length lst) num ) 0)(progn (setq ls nil)
  (repeat (/ (length lst) num)(repeat num (setq ls(cons (car lst) ls)lst (cdr lst)))
  (setq ret (append ret (list (reverse ls))) ls nil)))) ret)
(defun PtCollect(SelSet)(mapcar 'cdr (mapcar '(lambda(x)(assoc 10 x))(mapcar 'entget
(vl-remove-if 'listp(mapcar 'cadr(ssnamex SelSet))))))); end of PtCollect
(defun PLCollect(SelSet / ret)
(foreach lw (mapcar 'vlax-ename->vla-object (vl-remove-if 'listp(mapcar 'cadr(ssnamex SelSet))))
  (cond ((wcmatch (vla-get-ObjectName lw) "*Polyline")
  (setq ret (append ret (group-by-num (vlax-get lw 'Coordinates)
  (if (=(vla-get-ObjectName lw) "AcDbPolyline") 2 3)))))
       ((=(vla-get-ObjectName lw) "AcDbSpline")(setq ret (append ret (group-by-num
         (vlax-safearray->list(vlax-variant-value (vla-get-controlpoints lw)))  3))))
      (t nil))) ret)
  (vl-load-com)(setq isRus(= (getvar "SysCodePage") "ANSI_1251"))(if(not ptcol:mode)(setq ptcol:mode "Pick"))
  (initget "Указать Точка Блоки Полилиния Pick pOints Blocks poLyline _Pick pOints Blocks poLyline Pick pOints Blocks poLyline")
(setq oldMode ptcol:mode ptcol:mode
(getkword (if IsRus (strcat "\nВыберите режим [Указать/Точка/Блоки/Полилиния или сплайн] <"
(cadr (assoc ptcol:mode '(("Pick" "Указать")("pOints" "Указать")("Blocks" "Блоки")("poLyline" "Полилиния")))) ">: ")
        (strcat "\nSpecify mode [Pick/pOints/Blocks/poLyline or spline] <"ptcol:mode">: "))) ptLst nil)
(if(null ptcol:mode)(setq ptcol:mode oldMode))
(cond ((= "Pick" ptcol:mode)(setq curPt T)
       (while curPt (setq curPt(getpoint (if IsRus
         "\nУкажите точку или Enter завершения > " "\nPick point or Enter to continue > ")))
  (if curPt (setq ptLst(append ptLst(list (trans curPt 1 0))))))); end condition #1
      ((= "pOints" ptcol:mode)(if (not(setq objSet(ssget "_I" '((0 . "POINT")))))(progn
         (if IsRus (princ "\nВыберите точки и нажмите Enter ")(princ "\nSelect points and press Enter "))
   (setq objSet(ssget '((0 . "POINT"))))))(if objSet (setq ptLst(PtCollect objSet)))); end condition #2
      ((= "Blocks" ptcol:mode)(if (not(setq objSet(ssget "_I" '((0 . "INSERT")))))(progn
        (if IsRus(princ "\nВыберите блоки и нажмите Enter ")(princ "\nSelect blocks and press Enter "))
     (setq objSet(ssget '((0 . "INSERT"))))))(if objSet (setq ptLst(PtCollect objSet)))); end condition #3
      ((= "poLyline" ptcol:mode)(if (not(setq objSet(ssget "_I" '((0 . "*POLYLINE,SPLINE")))))(progn
        (if IsRus(princ "\nВыберите полилинии и нажмите Enter  ")(princ "\nSelect polyline and press Enter "))
     (setq objSet(ssget '((0 . "*POLYLINE,SPLINE"))))))(if objSet (setq ptLst(PLCollect objSet)))); end condition #4
); end cond
(if ptLst (progn (princ "\n+++++++ Coordinates list +++++++\n")(setq ptLst (mapcar '(lambda(x)(trans x 0 1)) ptLst))
(mapcar '(lambda(x)(princ(strcat "\n"(rtos(car x))","(rtos(cadr x))
(if(= 3(length x))(strcat ","(rtos(nth 2 x))) "")))) ptLst); end mapcar
(princ "\n\n+++++++++ End of list +++++++++")
(setq Npt (getint (if IsRus "\nНачальный номер точки <Не маркировать> : " "\nStart number of points <Don't mark> : " )))
(initget "Файл Excel Не Text Excel Not _Text Excel Not Text Excel Not")
(setq sFlag (getkword (if IsRus "\nСохранить координаты в [Файл/Excel/Не сохранять] <Файл> : "
"\nSave coordinates to [Text file/Excel/Not save] <Text> : ")))
(if(null sFlag)(setq sFlag "Text"))(setq oFlag Npt)(if (numberp Npt)
(foreach ln ptlst
  (text-draw                 ;_Отрисовка текста
    (itoa Npt)               ;_Номер точки
    (polar ln (/ pi 4) 1.)   ;_Координаты на 1 ед по углом 45 градусов
    (getvar "TEXTSIZE")      ;_ Текущей высотой текста
    0                        ;_Угол поворота
    nil
    )
  (setq Npt (1+ Npt))))
(setq Npt oFlag)    
(setq ptLst (mapcar '(lambda(x)(mapcar 'rtos x)) ptlst))
(cond ((and (= "Text" sFlag)(setq filPath
       (getfiled (if IsRus "Сохранение координат в текстовый файл" "Save Coordinates to Text File") "Coordinates.txt" "txt;csv" 33)))
       (setq cFile(open filPath "w"))(foreach ln ptLst (write-line (strcat "k," (if (numberp Npt)(strcat (itoa Npt) ",") "")(car ln)","(cadr ln)
         (if(= 3(length ln))(strcat ","(nth 2 ln)))) cFile)(if (numberp Npt)(setq Npt (1+ Npt))))(close cFile)(initget "Yes No")
       (setq oFlag(getkword (if IsRus "\nОткрыть файл? [Yes/No] <No> : " "\nOpen text file? [Yes/No] <No> : " )))
       (if(= oFlag "Yes")(startapp "notepad.exe" filPath))); end condition #1
     ((= "Excel" sFlag)(if (numberp Npt)(progn
      (setq ptlst (mapcar '(lambda(x)(cons (1- (setq Npt (1+ Npt))) x)) ptlst))
      (xls ptlst '("N" "X" "Y" "Z") nil "COORN"))
      (xls ptLst nil nil "COOR"))); end condition #2
     (t nil)))) (princ)); end of c:COOR
Остальные ф-ции в #7
__________________
Как использовать код на Лиспе читаем здесь
VVA вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 05.10.2008, 17:00
#12
reyt-z


 
Регистрация: 17.09.2007
Сообщений: 102


VVA, спасибо большое Все работает
reyt-z вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 18.06.2009, 08:03
#13
Disney

Геодезист
 
Регистрация: 12.03.2009
Сибирь (где медведи по улицам ходят)
Сообщений: 859
Отправить сообщение для Disney с помощью Skype™


Владимир, огромное спасибо!
Я понимаю, что прошло уже больше полу года, и возвращаться к старым программам нет большого желания, но хотел бы вас попросить, если возможно, добавить в вашу программу следующие возможности:
1) К списку типов объектов: круг и текст,
2) Для 2D полилинии, в качестве Z, брать её уровень,
3) По запросу, в качестве Z, брать значение из близлежащего текста.
4) При маркировке, использовать префикс в номере точки.
__________________
Почему все вдруг становятся умными, когда уже не надо?
Disney вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 18.06.2009, 11:18 Экспорт координат выбранных точек в txt
#14
liberakatnem

Rossiya
 
Регистрация: 02.06.2009
Rossiya
Сообщений: 2


Это просто делается в "Инструментарии для MapInfo". Там можно выгрузить координаты селектированных объектов в TXT, XLS и Word. Сами координаты могут быть как в прямоугольных координатах, так и в виде длин и дирекционных углов или измеренных углов.
liberakatnem вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 07.07.2009, 00:06
#15
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 34,564


liberakatnem, ты тему внимательно прочитал? По-моему, нет.
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 27.12.2009, 00:51
#16
bogdanov

Инженер
 
Регистрация: 27.12.2009
Ростов-на-Дону
Сообщений: 3


Здравствуйте VVA,подскажите пожалуйста, а можно ли в этом лиспе:
1. вместо простановки точек ставить круги диаметром 2 мм и от них делать выноску с номером?
2. при экспорте координат поменять Х и У местами,а также выводить их не только во внешние файлы, а в таблицу AutoCad?
bogdanov вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 27.12.2009, 01:19
#17
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 34,564


Если будет образец, то можно будет и поковыряться...
1. Обязательна ли выноска (LEADER) или можно просто вставлять текст?
2. Стиль табличный нужен, как минимум.
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 27.12.2009, 01:47
#18
bogdanov

Инженер
 
Регистрация: 27.12.2009
Ростов-на-Дону
Сообщений: 3


Вот он пример правда он немного кривой,т.к. делался вручную в максимально сжатые сроки...Выноска обязательна...требуется оформлением((И еще такой вопросик,можно ли проставлять эту нумерацию например, слева от линии или справа,для того чтобы потом вручную не относить каждый номер ?
Вложения
Тип файла: dwg
DWG 2007
Пример.dwg (235.8 Кб, 28014 просмотров)
bogdanov вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 27.12.2009, 03:20
#19
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 34,564


Слушай, да у тебя там следы Civil'a и ADT. Может, действительно попробовать Civil'овские инструменты (если, конечно, Civil вообще имеется)?
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 27.12.2009, 12:32
#20
bogdanov

Инженер
 
Регистрация: 27.12.2009
Ростов-на-Дону
Сообщений: 3


Civil имеется но как в нем работать у нас к сожалению никто не знает....((
не знаю что такое ADT... а делался этот чертеж с применением ПК Развязка
bogdanov вне форума вставить имя Обратить внимание модератора на это сообщение  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > Экспорт координат выбранных точек в *.txt

 VetCAD++
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск

Быстрый переход

Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Экспорт координат из dxf в txt eilukha Вертикальные решения на базе AutoCAD 14 26.04.2008 21:53
Нумерация точек на плане и вывод их координат в полярной системе kukuikar Программирование 1 17.02.2008 11:15
Получение текстового массива координат точек. Камыч AutoCAD 5 30.07.2007 12:28
Помощь по Лире Серега М Лира / Лира-САПР 52 28.05.2007 02:47
простановка реальных ординатных размеров (координат точек) AnnaT AutoCAD 7 15.06.2005 17:56

|| Главная || Каталог САПР || Тендеры || Публикации || Объявления || Биржа труда || Download || Галерея ||
|| Библиотека || Кунсткамера || Каталог предприятий || Контакты || Файлообменник || Блоги ||


Размещение рекламы